package electrosphere.server.pathfinding.blocker;

import electrosphere.server.terrain.manager.ServerTerrainChunk;

/**
 * 
 * Blocks navigation calculations for a defined area
 *
 * Why it's own class? in case we want to use separate logic for non-heightfield chunks later (dungeons mby)
 * 
 */
public class NavBlocker {
    
    boolean[][] heightfieldBlocker;
    
    public NavBlocker(){
        heightfieldBlocker = new boolean[ServerTerrainChunk.CHUNK_DIMENSION][ServerTerrainChunk.CHUNK_DIMENSION];
    }
    
    public NavBlocker(boolean[][] field){
        heightfieldBlocker = field;
    }
    
    public boolean[][] getHeightfieldBlocker(){
        return heightfieldBlocker;
    }
    
    public void setHeightfieldBlockerValue(int x, int y, boolean value){
        heightfieldBlocker[x][y] = value;
    }
    
}
